<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.13.2">
  <compound kind="file">
    <name>redisx.h</name>
    <path>include/</path>
    <filename>redisx_8h.html</filename>
    <class kind="struct">Redis</class>
    <class kind="struct">RedisClient</class>
    <class kind="struct">RedisCluster</class>
    <class kind="struct">RedisEntry</class>
    <class kind="struct">RedisMap</class>
    <class kind="struct">RedisServer</class>
    <class kind="struct">RESP</class>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_ERROR</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aad063b5d1f8eaeadc0c70f8568113034</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_INCOMPLETE_TRANSFER</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a158f2b6af2421e42128d014e50896bb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_INVALID_CHANNEL</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a8827c9e06650c47f2cfd96496af5487e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_MIGRATING</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ae491047bf974c1210d50d97220e6abd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_MOVED</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a3997b7dc4f4a6984507da4a1f1448aa5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_NULL</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a7e2f81e12d6982c6aa97b50a77fd98f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_UNEXPECTED_ARRAY_SIZE</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a447a38ce70634136b737274965aa5ecc</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_UNEXPECTED_RESP</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a9d530bcfae7689b4275749b47a6d9b51</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_CHANNELS</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aa748f96c61478c3fbef8074021dee901</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_CMDBUF_SIZE</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a7e2b05b584b2b1b7af9430657679fe65</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_DEFAULT_SENTINEL_TIMEOUT_MILLIS</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a48e370d18ae57f463116e2cfe52570ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_DEFAULT_TIMEOUT_MILLIS</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aff9bac60d5293a00d481b5a6701b3882</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_LISTENER_REL_PRIORITY</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a43ec81454d96c773c6e6dd80dfbb180a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_MAJOR_VERSION</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a05046fd4ff3dc951f29e2f62f2e2c816</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_MINOR_VERSION</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ab56c292120a99c1e841869b5c8d6dd5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_PATCHLEVEL</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aa1c6cddd63b0cee67482cbda6986e8c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_RCVBUF_SIZE</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a57e8fa49f964f2ce738eeb0d9c0c89bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_RELEASE_STRING</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a275d8232b3f701eaba97b6f57ef0f65e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_SET_LISTENER_PRIORITY</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>adc3981d6b06cc87e563e77584765eb19</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_TCP_BUF_SIZE</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a98778e47cc76371868212b00e48ac03d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_TCP_PORT</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aecec1b5bff8cfc6bd9407b848b09f20d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>REDISX_VERSION_STRING</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a1f22a8f5e970a292c5539f8fcfe139e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>RESP3_CONTINUED</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ac8f311a1aacb893bb4e8650e8de9325e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>RedisErrorHandler</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a1c01a3b6357a4dd0ad9499d85d4c0368</anchor>
      <arglist>)(Redis *redis, enum redisx_channel channel, const char *op)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>RedisPipelineProcessor</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>abd8ec8743c997fa372e4ebb27dfd9d33</anchor>
      <arglist>)(RESP *response)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>RedisPushProcessor</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ac819fe43d592df70e8bbc6b25f4d090b</anchor>
      <arglist>)(RedisClient *cl, RESP *message, void *ptr)</arglist>
    </member>
    <member kind="typedef">
      <type>int(*</type>
      <name>RedisSocketConfigurator</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a356281f9b55b794cb988b44761bbd0ba</anchor>
      <arglist>)(int socket, enum redisx_channel channel)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>RedisSubscriberCall</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aeb7d6976a06d6b51780b1c9d3f927ef8</anchor>
      <arglist>)(const char *pattern, const char *channel, const char *msg, long length)</arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>redisx_channel</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a5349b7340813fbd1e32d04ed650bc3d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>REDISX_INTERACTIVE_CHANNEL</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a5349b7340813fbd1e32d04ed650bc3d9a65b4f2926885665960480d008ab2a456</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>REDISX_PIPELINE_CHANNEL</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a5349b7340813fbd1e32d04ed650bc3d9a7a240839c1e943706535b8d69a605f0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>REDISX_SUBSCRIPTION_CHANNEL</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a5349b7340813fbd1e32d04ed650bc3d9afafc30afa687bc5c56c42b0e677f5981</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>redisx_protocol</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ae63bc3e31da55ad4e1603d9302f41ccc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>REDISX_RESP2</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ae63bc3e31da55ad4e1603d9302f41cccad4bea131b09a2add3c5c92c3d0523161</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>REDISX_RESP3</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ae63bc3e31da55ad4e1603d9302f41cccacd031421d135447f8d1b1422966c8277</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>resp_type</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP_ARRAY</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0ad16eee767b19b1c4bb650deea0dd0b30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP_INT</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a503265f716490a963125ade1e6646e0a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP_SIMPLE_STRING</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a7868e33fc03b809c864bf271abd009b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP_ERROR</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0ae792047eeaca57b6ad382c02d0306656</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP_BULK_STRING</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a36dd81166f9ba91db70b1571b25fec9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_NULL</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a587dbeb89a4ed22f829b0e0238d8aca1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_DOUBLE</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0adcd1d7124f08e1ed73594d2ac5709cca</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_BOOLEAN</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a764e3114139243c0d896877739d6fc8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_BLOB_ERROR</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a955aeeb6f1b51f7a3286e1ac033a7a4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_VERBATIM_STRING</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a01f039d5dc20f5c7964b5c27f8084cfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_BIG_NUMBER</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a6584ded22b188e62c73ef63c4221333c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_MAP</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a84ed8b97007ad57425cec2cb9b12e89b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_SET</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a4ca6058290704cf1fa5aae3d3dcfdff7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_ATTRIBUTE</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a2da22ebb851ace110ab55425d2fe19fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESP3_PUSH</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afa5c90630d37c2f77e5d7985932941a0a3cf51b299d0be37b2d72dee132e6f481</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxAbortBlockAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ab98b0e71d2d0941920e3097a66eae7b8</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxAddConnectHook</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aab103bdeb66dd1daded10e1f6e993568</anchor>
      <arglist>(Redis *redis, void(*setupCall)(Redis *))</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxAddDisconnectHook</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a37d95c69831058865b078f0f0f20d540</anchor>
      <arglist>(Redis *redis, void(*cleanupCall)(Redis *))</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxAddSubscriber</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a4c268c33f23438af67117b09c26ec615</anchor>
      <arglist>(Redis *redis, const char *channelStem, RedisSubscriberCall f)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxArrayRequest</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ae76c209d7c58c0feddb0e52391b2d037</anchor>
      <arglist>(Redis *redis, const char **args, const int *length, int n, int *status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxCheckDestroyRESP</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a9849f4fb9156f3a3f4f4b3021993d4ce</anchor>
      <arglist>(RESP *resp, enum resp_type, int expectedSize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxCheckRESP</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a4b5674d08da07250c0ca6116a4c48ccf</anchor>
      <arglist>(const RESP *resp, enum resp_type expectedType, int expectedSize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxCheckValid</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a0cdebfd895ab4c61c0fc9e0863a66419</anchor>
      <arglist>(const Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClearAttributesAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a576bb47774aaf4d5d735a5ef18253048</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxClearConnectHooks</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>acd72a7be15e670c865e46d6755618f2d</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxClearDisconnectHooks</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aed087a61d22caaaada5d95bdc15bba6a</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClearSubscribers</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>af70948d6e1b0e3b8f4fde82d0ce27094</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxClusterAskMigrating</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aa6c97d758f2eb78216702432a40fac6f</anchor>
      <arglist>(Redis *redis, const char **args, const int *lengths, int n, int *status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClusterAskMigratingAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a1f27971d485e30863df37af6ef388e61</anchor>
      <arglist>(RedisClient *cl, const char **args, const int *lengths, int n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClusterConnect</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a83dadbc667e48fab6272bed1025a3db8</anchor>
      <arglist>(RedisCluster *cluster)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxClusterDestroy</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a3b2fb45ad35cbc4e501db00f5c416ef9</anchor>
      <arglist>(RedisCluster *cluster)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClusterDisconnect</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aaf2048bd9d3c86f57234c856ec7e1350</anchor>
      <arglist>(RedisCluster *cluster)</arglist>
    </member>
    <member kind="function">
      <type>Redis *</type>
      <name>redisxClusterGetRedirection</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ac40bd92e2c9cc4f14521c2efcea57018</anchor>
      <arglist>(RedisCluster *cluster, const RESP *redirect, boolean refresh)</arglist>
    </member>
    <member kind="function">
      <type>Redis *</type>
      <name>redisxClusterGetShard</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a383492763c7162b48bb86e9523bfff69</anchor>
      <arglist>(RedisCluster *cluster, const char *key)</arglist>
    </member>
    <member kind="function">
      <type>RedisCluster *</type>
      <name>redisxClusterInit</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a325731b1f8f467cf2c84700b345049ba</anchor>
      <arglist>(Redis *node)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxClusterIsMigrating</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a57a19ba90951b891677b1be3af8a8f36</anchor>
      <arglist>(const RESP *reply)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxClusterIsRedirected</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a537ed3806a44fb40f6e8dccd813ad0da</anchor>
      <arglist>(const RESP *reply)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxClusterMoved</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a19fc54725ba4725e0281cff59b642e15</anchor>
      <arglist>(const RESP *reply)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxConnect</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ad71822356ffd40ed4b1c71d065f48809</anchor>
      <arglist>(Redis *redis, boolean usePipeline)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxCopyOfRESP</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>af093c487ee72ade826ce894f59691475</anchor>
      <arglist>(const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDebugTraffic</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a7cde25fca6ae274d8d0a66d5c8b63ff5</anchor>
      <arglist>(boolean value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDestroy</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ac54dd4c46d8615db4da02702c18f062b</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDestroyEntries</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ac21d16334774d91d2d4ea8afcb67cbb7</anchor>
      <arglist>(RedisEntry *entries, int count)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDestroyKeys</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a42d64f9b8b0399bf391a5aa3d8cbb9e0</anchor>
      <arglist>(char **keys, int count)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDestroyRESP</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aa4e23a7454f7055711915ec430599011</anchor>
      <arglist>(RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDisconnect</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>acae5ab8af4db1c4ab13c4069aa744a44</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxEndSubscription</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>acaa8ac50fb154551bfebf7fafcdc3df2</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxError</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ae722b046fa70a55db725341ef8ee56dc</anchor>
      <arglist>(const char *func, int errorCode)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>redisxErrorDescription</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a38f3de77ad5a48d37b302bce2e3cd25b</anchor>
      <arglist>(int code)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxExecBlockAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a766ad80d9b84f4ca16be3da08e1968c9</anchor>
      <arglist>(RedisClient *cl, int *pStatus)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxGetAttributes</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a48b6b8949276f59cd2f13d6b13384996</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>const RESP *</type>
      <name>redisxGetAttributesAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a6c9d4ce9babbcaac35e45f536d47858d</anchor>
      <arglist>(const RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxGetAvailable</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a66c0fd419669b68344cf1f35168c8919</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxGetAvailableAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a0060b460e43c3b0d15d5dee9f8937c35</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>RedisClient *</type>
      <name>redisxGetClient</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a14907be8fba6a13505a352673cea5895</anchor>
      <arglist>(Redis *redis, enum redisx_channel channel)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxGetHelloData</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a89fd65118ba731931fe281c83f6fa8ba</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>XLookupTable *</type>
      <name>redisxGetInfo</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a1693736dbc3d9a3ba17a31cf2bb4246d</anchor>
      <arglist>(Redis *redis, const char *parameter)</arglist>
    </member>
    <member kind="function">
      <type>char **</type>
      <name>redisxGetKeys</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aaa45af252b10e19c647d2cd5b51d7c05</anchor>
      <arglist>(Redis *redis, const char *table, int *n)</arglist>
    </member>
    <member kind="function">
      <type>RedisMap *</type>
      <name>redisxGetKeywordEntry</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a69c888c16bb7a74acba44414e18d61ff</anchor>
      <arglist>(const RESP *map, const char *key)</arglist>
    </member>
    <member kind="function">
      <type>RedisClient *</type>
      <name>redisxGetLockedConnectedClient</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a19d2fb18f2f939edfdc412d064741f9f</anchor>
      <arglist>(Redis *redis, enum redisx_channel channel)</arglist>
    </member>
    <member kind="function">
      <type>RedisMap *</type>
      <name>redisxGetMapEntry</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ad499956b192f4fe313a918f266ce1943</anchor>
      <arglist>(const RESP *map, const RESP *key)</arglist>
    </member>
    <member kind="function">
      <type>enum redisx_protocol</type>
      <name>redisxGetProtocol</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>af756044530dd5b424ec64e89e22eb0a0</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxGetScanCount</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>af3167ceaaedaf0a005da22e28521440e</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>redisxGetStringValue</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afc875f142146282860b6a8a3ac2f0fc8</anchor>
      <arglist>(Redis *redis, const char *table, const char *key, int *len)</arglist>
    </member>
    <member kind="function">
      <type>RedisEntry *</type>
      <name>redisxGetTable</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>af4290857fc98baac7edd15edb6d0bcac</anchor>
      <arglist>(Redis *redis, const char *table, int *n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxGetTime</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a5dbdb6bef9c8ac3a4a8e901abe505d30</anchor>
      <arglist>(Redis *redis, struct timespec *t)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxGetValue</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a01bf1f5d830d1af19456ab78457a54ab</anchor>
      <arglist>(Redis *redis, const char *table, const char *key, int *status)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxHasComponents</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a39055bb1b469883dabfaf1b8efe3b6fe</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxHasPipeline</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a481678923a653e5227f7dab5a1fd272d</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxIgnoreReplyAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ac0f30d62044638a2ead07583ad723fdf</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>Redis *</type>
      <name>redisxInit</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a5c78c2189a76a077231016564a0cecd5</anchor>
      <arglist>(const char *server)</arglist>
    </member>
    <member kind="function">
      <type>Redis *</type>
      <name>redisxInitSentinel</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a993ae780daeae021fba1866d752ba9c5</anchor>
      <arglist>(const char *serviceName, const RedisServer *serverList, int nServers)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsArrayType</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>af7d1a91b1d89fb11e6b16db04653a871</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsConnected</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a94326ebfa5868579c8448cdbb941b3da</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsEqualRESP</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ac84b780fd0c2ed709d4edd5789e522aa</anchor>
      <arglist>(const RESP *a, const RESP *b)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxIsGlobPattern</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afed05f00d7dc1b6905b01210b4c8ae6b</anchor>
      <arglist>(const char *str)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsMapType</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a460822029ff730cd7a55d64797c329a3</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsScalarType</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a944a623a34b5a6a7af064fc0d0cc35bf</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsStringType</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a7fb3a83bc8345413eb1a722444386abd</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsVerbose</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a484532a0b208bbd9c7a6cb9663361696</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxLoadScript</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ae8930592b8f927a154508669132bebab</anchor>
      <arglist>(Redis *redis, const char *script, char **sha1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxLockClient</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ac9c69fbcaa2a2fbe95af72d91a7b7e6c</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxLockConnected</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aad864c08ef9365c264c30bbacb0b77b2</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxMultiSet</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aa8fd65a355394af08c86b4f0e943d3a6</anchor>
      <arglist>(Redis *redis, const char *table, const RedisEntry *entries, int n, boolean confirm)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxMultiSetAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a750023f759dd5192dd3c802a542af770</anchor>
      <arglist>(RedisClient *cl, const char *table, const RedisEntry *entries, int n, boolean confirm)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxNotify</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ace918fd1adb80e26cfae107685a314e0</anchor>
      <arglist>(Redis *redis, const char *channel, const char *message)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPing</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afd19b1137e80ed26065d9e6e7039c8fe</anchor>
      <arglist>(Redis *redis, const char *message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxPrintDelimited</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aff1df58b8ef619139cd5ea92ef656e02</anchor>
      <arglist>(const RESP *resp, const char *delim, const char *groupPrefix)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPrintJSON</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a0c3e84681ddfeabf29bac807ff46160b</anchor>
      <arglist>(const char *name, const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPrintRESP</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ae1691b2452bc3badd1cc8874b139b846</anchor>
      <arglist>(const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPublish</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a06262603a9a3153fb29d81628fee6a8e</anchor>
      <arglist>(Redis *redis, const char *channel, const char *message, int length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPublishAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a89b6c2128548882616c081553ea2436c</anchor>
      <arglist>(Redis *redis, const char *channel, const char *data, int length)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxReadReplyAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a06c5b62c7b92c83af8f080dd1bb91b17</anchor>
      <arglist>(RedisClient *cl, int *pStatus)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxReconnect</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a55a2efad7c8d8f840f4144a217f58965</anchor>
      <arglist>(Redis *redis, boolean usePipeline)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxRemoveConnectHook</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aa6b85dc9160e50da8a47152d2995a3dd</anchor>
      <arglist>(Redis *redis, void(*setupCall)(Redis *))</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxRemoveDisconnectHook</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a7d57699ce7c728a4c936a4ba040b12f0</anchor>
      <arglist>(Redis *redis, void(*cleanupCall)(Redis *))</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxRemoveSubscribers</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aeda3fce11d0f9a11428ca405d1e45b69</anchor>
      <arglist>(Redis *redis, RedisSubscriberCall f)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxRequest</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a09092bd97eead5c5fa73fa0d9241018c</anchor>
      <arglist>(Redis *redis, const char *command, const char *arg1, const char *arg2, const char *arg3, int *status)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>redisxRESP2JSON</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a7f4e74ee03cebf38eb9c1fb873784a35</anchor>
      <arglist>(const char *name, const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>XField *</type>
      <name>redisxRESP2XField</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>adc7235cd1b6be038b9f3c7beb11a13ef</anchor>
      <arglist>(const char *name, const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxRunScript</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aebd84c84082d2367d8cbe233cfe14535</anchor>
      <arglist>(Redis *redis, const char *sha1, const char **keys, const char **params, int *status)</arglist>
    </member>
    <member kind="function">
      <type>char **</type>
      <name>redisxScanKeys</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a2536b2244c4d05ca5d595ed00826abd4</anchor>
      <arglist>(Redis *redis, const char *pattern, int *n)</arglist>
    </member>
    <member kind="function">
      <type>RedisEntry *</type>
      <name>redisxScanTable</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a838e534835b9b345925e652e3b053815</anchor>
      <arglist>(Redis *redis, const char *table, const char *pattern, int *n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSelectDB</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aec99fb8b19d6751038bf9c4c6d04f8d0</anchor>
      <arglist>(Redis *redis, int idx)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSendArrayRequestAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a9b869bd8912f647f4abe5c98abf3a88d</anchor>
      <arglist>(RedisClient *cl, const char **args, const int *length, int n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSendRequestAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>afc7b28288c07baf0b3c8fdc9d8ddf263</anchor>
      <arglist>(RedisClient *cl, const char *command, const char *arg1, const char *arg2, const char *arg3)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetDHCipherParams</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ab1f40a05c3c74c55f0f92066cbc7db09</anchor>
      <arglist>(Redis *redis, const char *dh_params_file)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetHostname</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a16a0aa9545e7dd5fd290dd2b4ee968f1</anchor>
      <arglist>(Redis *redis, const char *host)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetMutualTLS</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ad62a82cdab6e2fd11da87b1bdcc1604b</anchor>
      <arglist>(Redis *redis, const char *cert_file, const char *key_file)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetPassword</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a0e9eda38aa6f084ac151cbebe2886c2f</anchor>
      <arglist>(Redis *redis, const char *passwd)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetPipelineConsumer</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a0799a0a79705d1a7579bdf57879d1fec</anchor>
      <arglist>(Redis *redis, RedisPipelineProcessor f)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetPort</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a37f39ede48014a2463e4c72bf6eb5a3e</anchor>
      <arglist>(Redis *redis, int port)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetProtocol</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a842cfeb16ae3cb690cb40c5b006dd918</anchor>
      <arglist>(Redis *redis, enum redisx_protocol protocol)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetPushProcessor</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a2caca9bc8a09225edb88699fdda10602</anchor>
      <arglist>(Redis *redis, RedisPushProcessor func, void *arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetReplyTimeout</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>abaa3e3716d42d465a4b7536727328e90</anchor>
      <arglist>(Redis *redis, int timeoutMillis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetScanCount</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a3bd0d2964966ed6655358ff2fe0802c0</anchor>
      <arglist>(Redis *redis, int count)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetSentinelTimeout</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a192ba03de94c1e8a1876d7c533b4df9a</anchor>
      <arglist>(Redis *redis, int millis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetSocketConfigurator</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a085da763bc6a656c649a33dfd296d33f</anchor>
      <arglist>(Redis *redis, RedisSocketConfigurator func)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetSocketErrorHandler</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ad3aaa3b6fb5353a52a7013421baa9b89</anchor>
      <arglist>(Redis *redis, RedisErrorHandler f)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetSocketTimeout</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aaa87635d37e5d348b7dbb12952b39183</anchor>
      <arglist>(Redis *redis, int millis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTcpBuf</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a648557774b354ff99e279d3dcf94d240</anchor>
      <arglist>(Redis *redis, int size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLS</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a1820331a34d40c9dcc894480e22d90e7</anchor>
      <arglist>(Redis *redis, const char *ca_path, const char *ca_file)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLSCiphers</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a11828fc2962a62c27bf8b5627f69a8a0</anchor>
      <arglist>(Redis *redis, const char *cipher_list)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLSCipherSuites</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>aece815a388c13dfa9381d194fc65526a</anchor>
      <arglist>(Redis *redis, const char *list)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLSServerName</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a9cafd12ab9ff4df77c7fc9d6bac33c1a</anchor>
      <arglist>(Redis *redis, const char *host)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLSVerify</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a9c8cf16eba455874111651f59f86a6e7</anchor>
      <arglist>(Redis *redis, boolean value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetUser</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a3beff3a9e373a0f1de626a8e64da98cf</anchor>
      <arglist>(Redis *redis, const char *username)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetValue</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a1465b1a965ddd685e16bccbf0b34f08b</anchor>
      <arglist>(Redis *redis, const char *table, const char *key, const char *value, boolean confirm)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetValueAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a9e784632598b0c418a3ae3a87aa09fe4</anchor>
      <arglist>(RedisClient *cl, const char *table, const char *key, const char *value, boolean confirm)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxSetVerbose</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a11454a2359f43b6fd024d25a8148644e</anchor>
      <arglist>(boolean value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSkipReplyAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a44c5d0bd24f5a4f2f131218f14c9c599</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSplitText</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a63c29262670cf34d06fc30e684878819</anchor>
      <arglist>(RESP *resp, char **text)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxStartBlockAsync</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a3e49508e4e4fcc283832226fd1bffd85</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSubscribe</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a789f711733a55601cd71a2c0f61ec2db</anchor>
      <arglist>(Redis *redis, const char *channel)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxUnlockClient</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>a87efe53c80fcff3fcf189362cbc602f7</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxUnsubscribe</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>af64c112d9c395f1e08af52acd6f5c3ec</anchor>
      <arglist>(Redis *redis, const char *channel)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxValidateSentinel</name>
      <anchorfile>redisx_8h.html</anchorfile>
      <anchor>ace7dcf75a6f60817e1b3be00fb15658b</anchor>
      <arglist>(const char *serviceName, const RedisServer *serverList, int nServers)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-client.c</name>
    <path>src/</path>
    <filename>redisx-client_8c.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>REDIS_SIMPLE_STRING_SIZE</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>ac5021fd53b8fb32c06455b174e849751</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxAbortBlockAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>ab98b0e71d2d0941920e3097a66eae7b8</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClearAttributesAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a576bb47774aaf4d5d735a5ef18253048</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxExecBlockAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a766ad80d9b84f4ca16be3da08e1968c9</anchor>
      <arglist>(RedisClient *cl, int *pStatus)</arglist>
    </member>
    <member kind="function">
      <type>const RESP *</type>
      <name>redisxGetAttributesAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a6c9d4ce9babbcaac35e45f536d47858d</anchor>
      <arglist>(const RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxGetAvailable</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a66c0fd419669b68344cf1f35168c8919</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxGetAvailableAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a0060b460e43c3b0d15d5dee9f8937c35</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>RedisClient *</type>
      <name>redisxGetClient</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a14907be8fba6a13505a352673cea5895</anchor>
      <arglist>(Redis *redis, enum redisx_channel channel)</arglist>
    </member>
    <member kind="function">
      <type>RedisClient *</type>
      <name>redisxGetLockedConnectedClient</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a19d2fb18f2f939edfdc412d064741f9f</anchor>
      <arglist>(Redis *redis, enum redisx_channel channel)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxIgnoreReplyAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>ac0f30d62044638a2ead07583ad723fdf</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxLockClient</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>ac9c69fbcaa2a2fbe95af72d91a7b7e6c</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxLockConnected</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>aad864c08ef9365c264c30bbacb0b77b2</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxReadReplyAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a06c5b62c7b92c83af8f080dd1bb91b17</anchor>
      <arglist>(RedisClient *cl, int *pStatus)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxResetClient</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a05f0f4d0a2f3d8fb5e385541be6624a2</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSendArrayRequestAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a17de2c4323d3da4b3a3d386d85c12d8e</anchor>
      <arglist>(RedisClient *cl, const char **args, const int *lengths, int n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSendRequestAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>afc7b28288c07baf0b3c8fdc9d8ddf263</anchor>
      <arglist>(RedisClient *cl, const char *command, const char *arg1, const char *arg2, const char *arg3)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSkipReplyAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a44c5d0bd24f5a4f2f131218f14c9c599</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxStartBlockAsync</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a3e49508e4e4fcc283832226fd1bffd85</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxUnlockClient</name>
      <anchorfile>redisx-client_8c.html</anchorfile>
      <anchor>a87efe53c80fcff3fcf189362cbc602f7</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-cluster.c</name>
    <path>src/</path>
    <filename>redisx-cluster_8c.html</filename>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxClusterAskMigrating</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>aa6c97d758f2eb78216702432a40fac6f</anchor>
      <arglist>(Redis *redis, const char **args, const int *lengths, int n, int *status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClusterAskMigratingAsync</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>a1f27971d485e30863df37af6ef388e61</anchor>
      <arglist>(RedisClient *cl, const char **args, const int *lengths, int n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClusterConnect</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>a83dadbc667e48fab6272bed1025a3db8</anchor>
      <arglist>(RedisCluster *cluster)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxClusterDestroy</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>a3b2fb45ad35cbc4e501db00f5c416ef9</anchor>
      <arglist>(RedisCluster *cluster)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClusterDisconnect</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>aaf2048bd9d3c86f57234c856ec7e1350</anchor>
      <arglist>(RedisCluster *cluster)</arglist>
    </member>
    <member kind="function">
      <type>Redis *</type>
      <name>redisxClusterGetRedirection</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>ac40bd92e2c9cc4f14521c2efcea57018</anchor>
      <arglist>(RedisCluster *cluster, const RESP *redirect, boolean refresh)</arglist>
    </member>
    <member kind="function">
      <type>Redis *</type>
      <name>redisxClusterGetShard</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>a383492763c7162b48bb86e9523bfff69</anchor>
      <arglist>(RedisCluster *cluster, const char *key)</arglist>
    </member>
    <member kind="function">
      <type>RedisCluster *</type>
      <name>redisxClusterInit</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>a325731b1f8f467cf2c84700b345049ba</anchor>
      <arglist>(Redis *node)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxClusterIsMigrating</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>a57a19ba90951b891677b1be3af8a8f36</anchor>
      <arglist>(const RESP *reply)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxClusterIsRedirected</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>a537ed3806a44fb40f6e8dccd813ad0da</anchor>
      <arglist>(const RESP *reply)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxClusterMoved</name>
      <anchorfile>redisx-cluster_8c.html</anchorfile>
      <anchor>a19fc54725ba4725e0281cff59b642e15</anchor>
      <arglist>(const RESP *reply)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-hooks.c</name>
    <path>src/</path>
    <filename>redisx-hooks_8c.html</filename>
    <member kind="function">
      <type>int</type>
      <name>redisxAddConnectHook</name>
      <anchorfile>redisx-hooks_8c.html</anchorfile>
      <anchor>aab103bdeb66dd1daded10e1f6e993568</anchor>
      <arglist>(Redis *redis, void(*setupCall)(Redis *))</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxAddDisconnectHook</name>
      <anchorfile>redisx-hooks_8c.html</anchorfile>
      <anchor>a37d95c69831058865b078f0f0f20d540</anchor>
      <arglist>(Redis *redis, void(*cleanupCall)(Redis *))</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxClearConnectHooks</name>
      <anchorfile>redisx-hooks_8c.html</anchorfile>
      <anchor>acd72a7be15e670c865e46d6755618f2d</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxClearDisconnectHooks</name>
      <anchorfile>redisx-hooks_8c.html</anchorfile>
      <anchor>aed087a61d22caaaada5d95bdc15bba6a</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxRemoveConnectHook</name>
      <anchorfile>redisx-hooks_8c.html</anchorfile>
      <anchor>aa6b85dc9160e50da8a47152d2995a3dd</anchor>
      <arglist>(Redis *redis, void(*setupCall)(Redis *))</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxRemoveDisconnectHook</name>
      <anchorfile>redisx-hooks_8c.html</anchorfile>
      <anchor>a7d57699ce7c728a4c936a4ba040b12f0</anchor>
      <arglist>(Redis *redis, void(*cleanupCall)(Redis *))</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-net.c</name>
    <path>src/</path>
    <filename>redisx-net_8c.html</filename>
    <member kind="function">
      <type>void</type>
      <name>rCloseClientAsync</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>abc9dd988935375c5459bcaa09c17fa47</anchor>
      <arglist>(RedisClient *cl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rConnectAsync</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>ad4065e4f45daee4c9a4ce04e11a8cc11</anchor>
      <arglist>(Redis *redis, boolean usePipeline)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rDisconnectAsync</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a42981dc95de662c10e96bdbc9dfc980e</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>RedisPipelineListener</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a124e24b5cfba8172ed3f548b8056deb2</anchor>
      <arglist>(void *pRedis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxConnect</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>ad71822356ffd40ed4b1c71d065f48809</anchor>
      <arglist>(Redis *redis, boolean usePipeline)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDestroy</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>ac54dd4c46d8615db4da02702c18f062b</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDisconnect</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>acae5ab8af4db1c4ab13c4069aa744a44</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>Redis *</type>
      <name>redisxInit</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a5c78c2189a76a077231016564a0cecd5</anchor>
      <arglist>(const char *server)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsConnected</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a94326ebfa5868579c8448cdbb941b3da</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxReconnect</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a55a2efad7c8d8f840f4144a217f58965</anchor>
      <arglist>(Redis *redis, boolean usePipeline)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetHostname</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a16a0aa9545e7dd5fd290dd2b4ee968f1</anchor>
      <arglist>(Redis *redis, const char *host)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetPort</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a37f39ede48014a2463e4c72bf6eb5a3e</anchor>
      <arglist>(Redis *redis, int port)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetSocketTimeout</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>aaa87635d37e5d348b7dbb12952b39183</anchor>
      <arglist>(Redis *redis, int millis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTcpBuf</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a648557774b354ff99e279d3dcf94d240</anchor>
      <arglist>(Redis *redis, int size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rSetServerAsync</name>
      <anchorfile>redisx-net_8c.html</anchorfile>
      <anchor>a4f838601cb99d4eb39b44449764af02c</anchor>
      <arglist>(Redis *redis, const char *desc, const char *hostname, int port)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-script.c</name>
    <path>src/</path>
    <filename>redisx-script_8c.html</filename>
    <member kind="function">
      <type>int</type>
      <name>redisxLoadScript</name>
      <anchorfile>redisx-script_8c.html</anchorfile>
      <anchor>ae8930592b8f927a154508669132bebab</anchor>
      <arglist>(Redis *redis, const char *script, char **sha1)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxRunScript</name>
      <anchorfile>redisx-script_8c.html</anchorfile>
      <anchor>aebd84c84082d2367d8cbe233cfe14535</anchor>
      <arglist>(Redis *redis, const char *sha1, const char **keys, const char **params, int *status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxRunScriptAsync</name>
      <anchorfile>redisx-script_8c.html</anchorfile>
      <anchor>a711d6ba68a67ab814ddda0adc998a2ce</anchor>
      <arglist>(RedisClient *cl, const char *sha1, const char **keys, const char **params)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-sentinel.c</name>
    <path>src/</path>
    <filename>redisx-sentinel_8c.html</filename>
    <member kind="function">
      <type>Redis *</type>
      <name>redisxInitSentinel</name>
      <anchorfile>redisx-sentinel_8c.html</anchorfile>
      <anchor>a993ae780daeae021fba1866d752ba9c5</anchor>
      <arglist>(const char *serviceName, const RedisServer *serverList, int nServers)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetSentinelTimeout</name>
      <anchorfile>redisx-sentinel_8c.html</anchorfile>
      <anchor>a192ba03de94c1e8a1876d7c533b4df9a</anchor>
      <arglist>(Redis *redis, int millis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxValidateSentinel</name>
      <anchorfile>redisx-sentinel_8c.html</anchorfile>
      <anchor>ace7dcf75a6f60817e1b3be00fb15658b</anchor>
      <arglist>(const char *serviceName, const RedisServer *serverList, int nServers)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-sub.c</name>
    <path>src/</path>
    <filename>redisx-sub_8c.html</filename>
    <member kind="function">
      <type>int</type>
      <name>redisxAddSubscriber</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>a4c268c33f23438af67117b09c26ec615</anchor>
      <arglist>(Redis *redis, const char *channelStem, RedisSubscriberCall f)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxClearSubscribers</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>af70948d6e1b0e3b8f4fde82d0ce27094</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxEndSubscription</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>acaa8ac50fb154551bfebf7fafcdc3df2</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxNotify</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>ace918fd1adb80e26cfae107685a314e0</anchor>
      <arglist>(Redis *redis, const char *channel, const char *message)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPublish</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>a3ae6a78cececda6a1a495eebefbd57e9</anchor>
      <arglist>(Redis *redis, const char *channel, const char *data, int length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPublishAsync</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>a89b6c2128548882616c081553ea2436c</anchor>
      <arglist>(Redis *redis, const char *channel, const char *data, int length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxRemoveSubscribers</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>aeda3fce11d0f9a11428ca405d1e45b69</anchor>
      <arglist>(Redis *redis, RedisSubscriberCall f)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSubscribe</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>a0aa27b4fce0d0986cae75dfe7fa12f19</anchor>
      <arglist>(Redis *redis, const char *pattern)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxUnsubscribe</name>
      <anchorfile>redisx-sub_8c.html</anchorfile>
      <anchor>accafa9bf1ced851cc2e95c2d9fa1e9f8</anchor>
      <arglist>(Redis *redis, const char *pattern)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-tab.c</name>
    <path>src/</path>
    <filename>redisx-tab_8c.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>SCAN_INITIAL_STORE_CAPACITY</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a5766edfc8d12682de3f57f1ad76f413b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDestroyEntries</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>ac21d16334774d91d2d4ea8afcb67cbb7</anchor>
      <arglist>(RedisEntry *entries, int count)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDestroyKeys</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a42d64f9b8b0399bf391a5aa3d8cbb9e0</anchor>
      <arglist>(char **keys, int count)</arglist>
    </member>
    <member kind="function">
      <type>char **</type>
      <name>redisxGetKeys</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>aaa45af252b10e19c647d2cd5b51d7c05</anchor>
      <arglist>(Redis *redis, const char *table, int *n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxGetScanCount</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>af3167ceaaedaf0a005da22e28521440e</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>redisxGetStringValue</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>afc875f142146282860b6a8a3ac2f0fc8</anchor>
      <arglist>(Redis *redis, const char *table, const char *key, int *len)</arglist>
    </member>
    <member kind="function">
      <type>RedisEntry *</type>
      <name>redisxGetTable</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>af4290857fc98baac7edd15edb6d0bcac</anchor>
      <arglist>(Redis *redis, const char *table, int *n)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxGetValue</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a01bf1f5d830d1af19456ab78457a54ab</anchor>
      <arglist>(Redis *redis, const char *table, const char *key, int *status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxMultiSet</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>aa8fd65a355394af08c86b4f0e943d3a6</anchor>
      <arglist>(Redis *redis, const char *table, const RedisEntry *entries, int n, boolean confirm)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxMultiSetAsync</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a750023f759dd5192dd3c802a542af770</anchor>
      <arglist>(RedisClient *cl, const char *table, const RedisEntry *entries, int n, boolean confirm)</arglist>
    </member>
    <member kind="function">
      <type>char **</type>
      <name>redisxScanKeys</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a2536b2244c4d05ca5d595ed00826abd4</anchor>
      <arglist>(Redis *redis, const char *pattern, int *n)</arglist>
    </member>
    <member kind="function">
      <type>RedisEntry *</type>
      <name>redisxScanTable</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a838e534835b9b345925e652e3b053815</anchor>
      <arglist>(Redis *redis, const char *table, const char *pattern, int *n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetScanCount</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a3bd0d2964966ed6655358ff2fe0802c0</anchor>
      <arglist>(Redis *redis, int count)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetValue</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a1465b1a965ddd685e16bccbf0b34f08b</anchor>
      <arglist>(Redis *redis, const char *table, const char *key, const char *value, boolean confirm)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetValueAsync</name>
      <anchorfile>redisx-tab_8c.html</anchorfile>
      <anchor>a9e784632598b0c418a3ae3a87aa09fe4</anchor>
      <arglist>(RedisClient *cl, const char *table, const char *key, const char *value, boolean confirm)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx-tls.c</name>
    <path>src/</path>
    <filename>redisx-tls_8c.html</filename>
    <member kind="function">
      <type>int</type>
      <name>redisxSetDHCipherParams</name>
      <anchorfile>redisx-tls_8c.html</anchorfile>
      <anchor>ab1f40a05c3c74c55f0f92066cbc7db09</anchor>
      <arglist>(Redis *redis, const char *dh_params_file)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetMutualTLS</name>
      <anchorfile>redisx-tls_8c.html</anchorfile>
      <anchor>ad62a82cdab6e2fd11da87b1bdcc1604b</anchor>
      <arglist>(Redis *redis, const char *cert_file, const char *key_file)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLS</name>
      <anchorfile>redisx-tls_8c.html</anchorfile>
      <anchor>a1820331a34d40c9dcc894480e22d90e7</anchor>
      <arglist>(Redis *redis, const char *ca_path, const char *ca_file)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLSCiphers</name>
      <anchorfile>redisx-tls_8c.html</anchorfile>
      <anchor>a11828fc2962a62c27bf8b5627f69a8a0</anchor>
      <arglist>(Redis *redis, const char *cipher_list)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLSCipherSuites</name>
      <anchorfile>redisx-tls_8c.html</anchorfile>
      <anchor>aece815a388c13dfa9381d194fc65526a</anchor>
      <arglist>(Redis *redis, const char *list)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLSServerName</name>
      <anchorfile>redisx-tls_8c.html</anchorfile>
      <anchor>a9cafd12ab9ff4df77c7fc9d6bac33c1a</anchor>
      <arglist>(Redis *redis, const char *host)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetTLSVerify</name>
      <anchorfile>redisx-tls_8c.html</anchorfile>
      <anchor>a9c8cf16eba455874111651f59f86a6e7</anchor>
      <arglist>(Redis *redis, boolean value)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>redisx.c</name>
    <path>src/</path>
    <filename>redisx_8c.html</filename>
    <member kind="function">
      <type>XLookupTable *</type>
      <name>rConsumeInfoReply</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a2fdb234e05f16fb004b34bc016ba9d99</anchor>
      <arglist>(RESP *reply)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxArrayRequest</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>ac6767cea95b4cc90348796c61ebdac75</anchor>
      <arglist>(Redis *redis, const char **args, const int *lengths, int n, int *status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxCheckValid</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a0cdebfd895ab4c61c0fc9e0863a66419</anchor>
      <arglist>(const Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDebugTraffic</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a7cde25fca6ae274d8d0a66d5c8b63ff5</anchor>
      <arglist>(boolean value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxError</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>ae722b046fa70a55db725341ef8ee56dc</anchor>
      <arglist>(const char *func, int errorCode)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>redisxErrorDescription</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a38f3de77ad5a48d37b302bce2e3cd25b</anchor>
      <arglist>(int code)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxGetAttributes</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a48b6b8949276f59cd2f13d6b13384996</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxGetHelloData</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a89fd65118ba731931fe281c83f6fa8ba</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>XLookupTable *</type>
      <name>redisxGetInfo</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a1693736dbc3d9a3ba17a31cf2bb4246d</anchor>
      <arglist>(Redis *redis, const char *parameter)</arglist>
    </member>
    <member kind="function">
      <type>enum redisx_protocol</type>
      <name>redisxGetProtocol</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>af756044530dd5b424ec64e89e22eb0a0</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxGetTime</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a5dbdb6bef9c8ac3a4a8e901abe505d30</anchor>
      <arglist>(Redis *redis, struct timespec *t)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxHasPipeline</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a481678923a653e5227f7dab5a1fd272d</anchor>
      <arglist>(Redis *redis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxIsGlobPattern</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>afed05f00d7dc1b6905b01210b4c8ae6b</anchor>
      <arglist>(const char *str)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsVerbose</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a484532a0b208bbd9c7a6cb9663361696</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPing</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>afd19b1137e80ed26065d9e6e7039c8fe</anchor>
      <arglist>(Redis *redis, const char *message)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxRequest</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a09092bd97eead5c5fa73fa0d9241018c</anchor>
      <arglist>(Redis *redis, const char *command, const char *arg1, const char *arg2, const char *arg3, int *status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSelectDB</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>aec99fb8b19d6751038bf9c4c6d04f8d0</anchor>
      <arglist>(Redis *redis, int idx)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetPassword</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a0e9eda38aa6f084ac151cbebe2886c2f</anchor>
      <arglist>(Redis *redis, const char *passwd)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetPipelineConsumer</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a0799a0a79705d1a7579bdf57879d1fec</anchor>
      <arglist>(Redis *redis, RedisPipelineProcessor f)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetProtocol</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a842cfeb16ae3cb690cb40c5b006dd918</anchor>
      <arglist>(Redis *redis, enum redisx_protocol protocol)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetPushProcessor</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a2caca9bc8a09225edb88699fdda10602</anchor>
      <arglist>(Redis *redis, RedisPushProcessor func, void *arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetReplyTimeout</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>abaa3e3716d42d465a4b7536727328e90</anchor>
      <arglist>(Redis *redis, int timeoutMillis)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetSocketConfigurator</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a085da763bc6a656c649a33dfd296d33f</anchor>
      <arglist>(Redis *redis, RedisSocketConfigurator func)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetSocketErrorHandler</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>ad3aaa3b6fb5353a52a7013421baa9b89</anchor>
      <arglist>(Redis *redis, RedisErrorHandler f)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSetUser</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a3beff3a9e373a0f1de626a8e64da98cf</anchor>
      <arglist>(Redis *redis, const char *username)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxSetVerbose</name>
      <anchorfile>redisx_8c.html</anchorfile>
      <anchor>a11454a2359f43b6fd024d25a8148644e</anchor>
      <arglist>(boolean value)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>resp.c</name>
    <path>src/</path>
    <filename>resp_8c.html</filename>
    <member kind="function">
      <type>int</type>
      <name>redisxAppendRESP</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>aea5830b9c06c6603c0fc04bf10238b83</anchor>
      <arglist>(RESP *resp, RESP *part)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxCheckDestroyRESP</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a80d5a305523c51da7bc7cf4c9deca962</anchor>
      <arglist>(RESP *resp, enum resp_type expectedType, int expectedSize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxCheckRESP</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a4b5674d08da07250c0ca6116a4c48ccf</anchor>
      <arglist>(const RESP *resp, enum resp_type expectedType, int expectedSize)</arglist>
    </member>
    <member kind="function">
      <type>RESP *</type>
      <name>redisxCopyOfRESP</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>af093c487ee72ade826ce894f59691475</anchor>
      <arglist>(const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxDestroyRESP</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>aa4e23a7454f7055711915ec430599011</anchor>
      <arglist>(RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>RedisMap *</type>
      <name>redisxGetKeywordEntry</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a69c888c16bb7a74acba44414e18d61ff</anchor>
      <arglist>(const RESP *map, const char *key)</arglist>
    </member>
    <member kind="function">
      <type>RedisMap *</type>
      <name>redisxGetMapEntry</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>ad499956b192f4fe313a918f266ce1943</anchor>
      <arglist>(const RESP *map, const RESP *key)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxHasComponents</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a39055bb1b469883dabfaf1b8efe3b6fe</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsArrayType</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>af7d1a91b1d89fb11e6b16db04653a871</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsEqualRESP</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>ac84b780fd0c2ed709d4edd5789e522aa</anchor>
      <arglist>(const RESP *a, const RESP *b)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsMapType</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a460822029ff730cd7a55d64797c329a3</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsScalarType</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a944a623a34b5a6a7af064fc0d0cc35bf</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>redisxIsStringType</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a7fb3a83bc8345413eb1a722444386abd</anchor>
      <arglist>(const RESP *r)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisxPrintDelimited</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>aff1df58b8ef619139cd5ea92ef656e02</anchor>
      <arglist>(const RESP *resp, const char *delim, const char *groupPrefix)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPrintJSON</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a0c3e84681ddfeabf29bac807ff46160b</anchor>
      <arglist>(const char *name, const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxPrintRESP</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>ae1691b2452bc3badd1cc8874b139b846</anchor>
      <arglist>(const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>redisxRESP2JSON</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a7f4e74ee03cebf38eb9c1fb873784a35</anchor>
      <arglist>(const char *name, const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>XField *</type>
      <name>redisxRESP2XField</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>adc7235cd1b6be038b9f3c7beb11a13ef</anchor>
      <arglist>(const char *name, const RESP *resp)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>redisxSplitText</name>
      <anchorfile>resp_8c.html</anchorfile>
      <anchor>a63c29262670cf34d06fc30e684878819</anchor>
      <arglist>(RESP *resp, char **text)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Redis</name>
    <filename>structRedis.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>id</name>
      <anchorfile>structRedis.html</anchorfile>
      <anchor>aecb3b0d045ada529257a2fbf8f829599</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RedisClient *</type>
      <name>interactive</name>
      <anchorfile>structRedis.html</anchorfile>
      <anchor>af51011d99955d6f036a9f2c291577749</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RedisClient *</type>
      <name>pipeline</name>
      <anchorfile>structRedis.html</anchorfile>
      <anchor>a59d367a240bf9c00366465d842402de8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RedisClient *</type>
      <name>subscription</name>
      <anchorfile>structRedis.html</anchorfile>
      <anchor>aa4878fb8cef61468ee8e7426a973a75c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>RedisClient</name>
    <filename>structRedisClient.html</filename>
  </compound>
  <compound kind="struct">
    <name>RedisCluster</name>
    <filename>structRedisCluster.html</filename>
    <member kind="variable">
      <type>void *</type>
      <name>priv</name>
      <anchorfile>structRedisCluster.html</anchorfile>
      <anchor>a8b6505c37d4ff95854b8b00527e4d9fa</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>RedisEntry</name>
    <filename>structRedisEntry.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>key</name>
      <anchorfile>structRedisEntry.html</anchorfile>
      <anchor>a5892a9181e6a332f84d27aecd41dcd12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>length</name>
      <anchorfile>structRedisEntry.html</anchorfile>
      <anchor>a9f59b34b1f25fe00023291b678246bcc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>value</name>
      <anchorfile>structRedisEntry.html</anchorfile>
      <anchor>a4e9aec275e566b978a3ccb4e043d8c61</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>RedisMap</name>
    <filename>structRedisMap.html</filename>
    <member kind="variable">
      <type>RESP *</type>
      <name>key</name>
      <anchorfile>structRedisMap.html</anchorfile>
      <anchor>ab48749655da556e91b5286bb4d196eb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>RESP *</type>
      <name>value</name>
      <anchorfile>structRedisMap.html</anchorfile>
      <anchor>a449b0c7dacd31c5e7edf071da3bda96a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>RedisServer</name>
    <filename>structRedisServer.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>host</name>
      <anchorfile>structRedisServer.html</anchorfile>
      <anchor>a1c2046dcb30a629d6d9f45ff8f403f12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>port</name>
      <anchorfile>structRedisServer.html</anchorfile>
      <anchor>a63c89c04d1feae07ca35558055155ffb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>RESP</name>
    <filename>structRESP.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>n</name>
      <anchorfile>structRESP.html</anchorfile>
      <anchor>a76f11d9a0a47b94f72c2d0e77fb32240</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>enum resp_type</type>
      <name>type</name>
      <anchorfile>structRESP.html</anchorfile>
      <anchor>a93869a69154ac2297800b0afff64d600</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>void *</type>
      <name>value</name>
      <anchorfile>structRESP.html</anchorfile>
      <anchor>a0f61d63b009d0880a89c843bd50d8d76</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>md_CHANGELOG</name>
    <title>Changelog</title>
    <filename>md_CHANGELOG.html</filename>
  </compound>
  <compound kind="page">
    <name>md_CONTRIBUTING</name>
    <title>Contributing to RedisX</title>
    <filename>md_CONTRIBUTING.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>RedisX</title>
    <filename>index.html</filename>
    <docanchor file="index.html">md_README-redisx</docanchor>
    <docanchor file="index.html">redisx-introduction</docanchor>
    <docanchor file="index.html">redisx-example</docanchor>
    <docanchor file="index.html">redisx-features</docanchor>
    <docanchor file="index.html">redisx-related-links</docanchor>
    <docanchor file="index.html">redisx-prerequisites</docanchor>
    <docanchor file="index.html">building-redisx</docanchor>
    <docanchor file="index.html">redisx-cli</docanchor>
    <docanchor file="index.html">redisx-linking</docanchor>
    <docanchor file="index.html">managing-redis-server-connections</docanchor>
    <docanchor file="index.html">redisx-initializing</docanchor>
    <docanchor file="index.html">redisx-configuring</docanchor>
    <docanchor file="index.html">socket-configuration</docanchor>
    <docanchor file="index.html">connection-hooks</docanchor>
    <docanchor file="index.html">redisx-connecting</docanchor>
    <docanchor file="index.html">redisx-disconnecting</docanchor>
    <docanchor file="index.html">redisx-reconnecting</docanchor>
    <docanchor file="index.html">simple-redis-queries</docanchor>
    <docanchor file="index.html">interactive-transactions</docanchor>
    <docanchor file="index.html">attributes</docanchor>
    <docanchor file="index.html">push-notifications</docanchor>
    <docanchor file="index.html">resp-data-type</docanchor>
    <docanchor file="index.html">accessing-key-value-data</docanchor>
    <docanchor file="index.html">getting-and-setting-keyed-values</docanchor>
    <docanchor file="index.html">listing-and-scanning</docanchor>
    <docanchor file="index.html">publish-subscribe-support</docanchor>
    <docanchor file="index.html">broadcasting-messages</docanchor>
    <docanchor file="index.html">subscriptions</docanchor>
    <docanchor file="index.html">atomic-transaction-blocks-and-lua-scripts</docanchor>
    <docanchor file="index.html">execution-blocks</docanchor>
    <docanchor file="index.html">lua-script-loading-and-execution</docanchor>
    <docanchor file="index.html">custom-functions</docanchor>
    <docanchor file="index.html">advanced-queries</docanchor>
    <docanchor file="index.html">asynchronous-client-processing</docanchor>
    <docanchor file="index.html">async-attributes</docanchor>
    <docanchor file="index.html">pipelined-transactions</docanchor>
    <docanchor file="index.html">cluster-support</docanchor>
    <docanchor file="index.html">cluster-basics</docanchor>
    <docanchor file="index.html">cluster-reconfiguration</docanchor>
    <docanchor file="index.html">cluster-explicit-connect</docanchor>
    <docanchor file="index.html">redisx-error-handling</docanchor>
    <docanchor file="index.html">redisx-debug-support</docanchor>
    <docanchor file="index.html">redisx-future-plans</docanchor>
  </compound>
</tagfile>
